Skip to main content
This API action returns all details of the selected service.

Method / Endpoint

POST {{API_URL}}/order/detail
For Hostrox, the full URL is:
POST https://client.hostrox.net/api/reseller/order/detail

Request parameters

NameRequiredDescription
keyYesAPI Key
idYesOrder ID number

Example cURL request

curl --location 'https://client.hostrox.net/api/reseller/order/detail' \
  --header 'Content-Type: application/json' \
  --data '{
    "key": "UzZBSlBWeWk0UEcrVWxlU0RjS1B1dz09",
    "id": "3"
  }'

Example JSON response (Hosting order)

{
  "id": 3,
  "status": "inprocess",
  "period_type": "month",
  "period_duration": 1,
  "product_name": "L RESELLER",
  "product_type": "hosting",
  "product_id": 36,
  "product_amount": "39.0000",
  "product_amount_f": "$39",
  "currency": "USD",
  "domain": "example123.com",
  "features": {
    "disk_limit": "1000",
    "bandwidth_limit": "unlimited",
    "email_limit": "unlimited",
    "database_limit": "unlimited",
    "addons_limit": "unlimited",
    "subdomain_limit": "unlimited",
    "ftp_limit": "unlimited",
    "park_limit": "unlimited",
    "max_email_per_hour": "unlimited",
    "cpu_limit": "%35"
  },
  "usage": {
    "disk_limit_byte": "100000000000",
    "disk_used_byte": "50000000000",
    "disk_limit_format": "100 GB",
    "disk_used_format": "50 GB",
    "disk_used_percent": "50",
    "bandwidth_limit_byte": "1073741824000",
    "bandwidth_used_byte": "536870912000",
    "bandwidth_limit_format": "1000 GB",
    "bandwidth_used_format": "500 GB",
    "bandwidth_used_percent": "50"
  },
  "login": {
    "username": "example1",
    "password": "qwerty123"
  },
  "creation_date": "2024-01-27 07:09:50",
  "renewal_date": "2024-01-27 07:09:50",
  "due_date": "2024-02-27 07:09:50"
}

Example JSON response (Software order)

{
  "id": 2,
  "status": "active",
  "period_type": "none",
  "period_duration": 1,
  "product_name": "Example a Script",
  "product_type": "software",
  "product_id": 21,
  "product_amount": "99.0000",
  "product_amount_f": "$99",
  "currency": "USD",
  "domain": "text123example.com",
  "change_domain": false,
  "download_type": "link",
  "download_link": "https://www.example.com/file.zip",
  "creation_date": "2024-01-27 07:04:52",
  "renewal_date": "2024-01-27 07:04:52",
  "due_date": "0000-00-00 00:00:00"
}